All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.calculateditems
Interface CalculatedItemV2Interface

All Superinterfaces:
  CalculatedItemInterface, CalculatedItemMetadataInterface

All Known Implementing Classes:
  BaseCalculatedItemAdapter, BusinessModelToCalculatedItemAdapter, BusinessQueryToCalculatedItemAdapter, DataSelectionToCalculatedItemAdapter, InformationMapToCalculatedItemAdapter

    public interface CalculatedItemV2Interface

extends CalculatedItemInterface

Field Summary

Fields inherited from interface com.sas.dataselectors.calculateditems.CalculatedItemInterface
`CALCITEM_TYPE_BITSTRING, CALCITEM_TYPE_BOOLEAN, CALCITEM_TYPE_CHARACTER, CALCITEM_TYPE_DATE, CALCITEM_TYPE_INTERVAL_DT, CALCITEM_TYPE_INTERVAL_YM, CALCITEM_TYPE_NOT_SET, CALCITEM_TYPE_NUMERIC, CALCITEM_TYPE_OLAP_CATEGORY, CALCITEM_TYPE_OLAP_MEASURE, CALCITEM_TYPE_TIME, CALCITEM_TYPE_TIMESTAMP`

Method Summary
`java.lang.String` | `getBasePeriod()` Get the starting period set on the item to be used for CUMULATIVE type of calculation
`java.util.Locale` | `getLocale()`
`java.lang.Object` | `getMeasureExpression()` Get the measure Name that this calculation is based upon
`java.lang.String` | `getTimeFunction()` Get the Function name set on this calculated item.
`boolean` | `isTimeBasedItem()` Return if this is a time based calculated item or not.
`void` | `setBasePeriod(java.lang.String startingPeriods)` Set the Starting period for the CUMULATIVE type of calculation, all others type of functions will ignore this
`void` | `setLocale(java.util.Locale locale)`
`void` | `setMeasureExpression(java.lang.Object measureExpression)` Set the measure name that this calculation is based upon
`void` | `setTimeFunction(java.lang.String functionName)` Set the Function name to be used in the calculation of thi item

Methods inherited from interface com.sas.dataselectors.calculateditems.CalculatedItemInterface
`commitChanges, convertToCalcItemType, convertToExpressionType, getDescription, getExpression, getExpressionType, getFormat, getId, getLabel, getLastInvalidCalculatedItemMessage, getLastInvalidExpressionException, getName, getValidExpressionTypeNames, getValidExpressionTypeValues, isValidateCalculationEnabled, setDescription, setExpression, setExpressionType, setFormat, setId, setLabel, setName, setValidateCalculationEnabled, validate, validate, validateCalculation`

Methods inherited from interface com.sas.dataselectors.calculateditems.CalculatedItemMetadataInterface
`getBusinessDataSourceTree, getDataSourceTree, getFunctionListTree, getLevelHasMembers, getLevelNameMap, getLevelNames, getMaxOutputObservations, getMeasureNameMap, getMeasureNames, getMemberNames, getOperationList, getPhysicalDataSourceTree, getPromptDataSourceTree, setMaxOutputObservations`

Method Detail

### isTimeBasedItem

    boolean isTimeBasedItem()

  Return if this is a time based calculated item or not.

### getTimeFunction

    java.lang.String getTimeFunction()

  Get the Function name set on this calculated item. Supported Functions are DIFFERENCE, PERCENT_CHANGE and CUMULATIVE

  Returns:
    the function name set on this item

### setTimeFunction

    void setTimeFunction(java.lang.String functionName)

  Set the Function name to be used in the calculation of thi item

  Parameters:
    `functionName` - of DIFFERENCE, PERCENT_CHANGE or CUMULATIVE

### getMeasureExpression

    java.lang.Object getMeasureExpression()

  Get the measure Name that this calculation is based upon

  Returns:
    Measure name that is used in this calculation

### setMeasureExpression

    void setMeasureExpression(java.lang.Object measureExpression)

  Set the measure name that this calculation is based upon

  Parameters:
    `measureName` - to use in the calculation

### setBasePeriod

    void setBasePeriod(java.lang.String startingPeriods)

  Set the Starting period for the CUMULATIVE type of calculation, all others type of functions will ignore this

  Parameters:
    `startingPeriod` - to be used in calculation of CUMULATIVE function

### getBasePeriod

    java.lang.String getBasePeriod()

  Get the starting period set on the item to be used for CUMULATIVE type of calculation

  Returns:
    the starting period (uniqueMember Name on the Time dimension)

### setLocale

    void setLocale(java.util.Locale locale)

### getLocale

    java.util.Locale getLocale()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.